Subject: Re: [PATCH v6 2/2] refs.c: SSE4.2 optimizations for check_refname_component

From: David Turner <[email-masked]>
Date: Thu, 05 Jun 2014 18:02:45 -0400

On Thu, 2014-06-05 at 23:42 +0200, Torsten Bögershausen wrote:
> On 2014-06-05 21.26, David Turner wrote:
> > On Thu, 2014-06-05 at 14:30 +0200, Torsten Bögershausen wrote:
> >> On 2014-06-04 23.16, David Turner wrote:
> >>>
> >>> Sure!  I actually went with > 120k to make measurement easier:
> >>> https://github.com/dturner-tw/many-refs
> >> Hm, I didn't get so man
> >>
> >> git remote -v
> >> origin  https://github.com/dturner-tw/many-refs 
> >>
> >>  wc .git/packed-refs 
> >>      750    1130   38868 .git/packed-refs
> >>
> > 
> > Oops.  It looks like I forgot to push all of the refs.  And when I try,
> > it fails with "fatal: cannot exec 'send-pack': Argument list too long"
> 
> I just noticed that I may be able to re-use code from t5551 to create a repo
> with 50000 tags.

That's good, because github really didn't like me having a repo with
thousands of refs.  Try 100k, tho, because the difference is easier to
see.